[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'video' (#rtl)

# SetVideoDriver

Install a new video driver.

## Declaration

Source position: videoh.inc line 121

`function SetVideoDriver(`
`const Driver: TVideoDriver`
`):Boolean;`

## Description

SetVideoDriver sets the videodriver to be used to Driver. If the current videodriver is initialized (after a call to InitVideo) then it does nothing and returns False.

A new driver can only be installed if the previous driver was not yet activated (i.e. before a call to InitVideo) or after it was deactivated (i.e after a call to DoneVideo).

For more information about installing a videodriver, see viddriver.

For an example, see the section on writing a custom video driver.

## Errors

If the current driver is initialized, then False is returned.

## See also

viddriver |  | Writing a custom video driver